Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.rdl
Class MapEntry

    java.lang.Object
      rdlc.rdl.Field_Named
          rdlc.rdl.MapEntry

All Implemented Interfaces:
  Expression, Field

Direct Known Subclasses:
  MapLink, MapPort, MapUnit

    public abstract class MapEntry

extends Field_Named

This is an abstract representation of a specific map entry. All of the classes which represent an "onto" mapping extend this class.

Version:
  $Revision: 1.14 $
Author:
  Greg Gibeling

Nested Class Summary

Nested classes/interfaces inherited from interface rdlc.rdl.Expression
`Expression.Phase`

Field Summary
`protected Field` | `destField` The platform or map field to which the unit field is being mapped.
`protected RawDynamicIdentifier` | `rawDestFieldID` The raw dynamic identifier of the platform or map field to which the unit field is being mapped.
`protected RawDynamicIdentifier` | `rawUnitFieldID` The raw dynamic identifier of the unit field being mapped.
`protected Field` | `unitField` The unit field being mapped.

Fields inherited from class rdlc.rdl.Field_Named
`iName, instance, namespace, rawDynamicID`

Constructor Summary
`protected` | `MapEntry(RawDynamicIdentifier _rawUnitFieldID, RawDynamicIdentifier _rawDestFieldID, Log errorLog)` Base constructor, saves the given fields and does cursory error checking.
`protected` | `MapEntry(java.lang.String _name, Instance _instance, MapEntry _mapEntry)` Copy constructor, used during instance copying.

Method Summary
`Field` | `getDestination()` Simple accessor.
`Field` | `getSource()` Simple accessor.
`void` | `resolve(java.util.HashSet<Declaration> markSet, Log errorLog, Expression.Phase phase)` Resolve the qualified name of this field, if we need to do so.

Methods inherited from class rdlc.rdl.Field_Named
`getIdentifier, getRawDynamicID, getRequirements, setInstance, setNamespace, setRawDynamicID, toString, typeMatch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface rdlc.rdl.Field
`copy`

Field Detail

### rawUnitFieldID

    protected RawDynamicIdentifier rawUnitFieldID

  The raw dynamic identifier of the unit field being mapped.

### unitField

    protected Field unitField

  The unit field being mapped.

### rawDestFieldID

    protected RawDynamicIdentifier rawDestFieldID

  The raw dynamic identifier of the platform or map field to which the unit field is being mapped.

### destField

    protected Field destField

  The platform or map field to which the unit field is being mapped.

Constructor Detail

### MapEntry

    protected MapEntry(RawDynamicIdentifier _rawUnitFieldID,
                       RawDynamicIdentifier _rawDestFieldID,
                       Log errorLog)

  Base constructor, saves the given fields and does cursory error checking.

  Parameters:
    `_rawUnitFieldID` - The raw dynamic ID for the unit field.
    `_rawDestFieldID` - The raw dynamic ID for the map or platform field.
    `errorLog` - A list of all the errors to be reported.

### MapEntry

    protected MapEntry(java.lang.String _name,
                       Instance _instance,
                       MapEntry _mapEntry)

  Copy constructor, used during instance copying.

  Parameters:
    `_instance` - The instance this copy will be a member of.
    `_mapEntry` - The map entry to copy from.
  See Also:
    `Instance#copySubInstance(HashSet, Log, Phase)`

Method Detail

### resolve

    public void resolve(java.util.HashSet<Declaration> markSet,
                        Log errorLog,
                        Expression.Phase phase)

  Description copied from class: `Field_Named`
  Resolve the qualified name of this field, if we need to do so.

  Specified by:
    `resolve` in interface `Expression`
  Overrides:
    `resolve` in class `Field_Named`
  Parameters:
    `markSet` - Complete hash set of declarations on which the caller depends (including itself).
    `errorLog` - Log of errors to be reported to the user.
    `phase` - The phase of resolution to perform.
  See Also:
    `Expression.resolve(HashSet, Log, Phase)`, `Expression.resolve(HashSet, Log, Phase)`

### getSource

    public Field getSource()

  Simple accessor.

  Returns:
    The unit field this map entry is mapping.

### getDestination

    public Field getDestination()

  Simple accessor.

  Returns:
    The platform or map field which this map entry is mapping it's unit field to.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD